summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2024-06-18 11:39:27 +0200
committerMiroslav Šulc <fordfrog@gentoo.org>2024-06-18 11:39:27 +0200
commiteef8da9244ecf20ab52af304a2b1dab4bba2e789 (patch)
treebc72bbd5a311f82aea4392b3e13ce0ad81fbb43b /dev-java
parentdev-python/python-keystoneclient: Fix test deps (diff)
downloadgentoo-master.tar.gz
gentoo-master.tar.bz2
gentoo-master.zip
dev-java/maven-bin: bump to 3.9.8HEADmaster
Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/maven-bin/Manifest1
-rw-r--r--dev-java/maven-bin/maven-bin-3.9.8.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/dev-java/maven-bin/Manifest b/dev-java/maven-bin/Manifest
index 7568a27ebea4..3410e210679f 100644
--- a/dev-java/maven-bin/Manifest
+++ b/dev-java/maven-bin/Manifest
@@ -1,3 +1,4 @@
DIST apache-maven-3.8.8-bin.tar.gz 8296049 BLAKE2B af6353193365ed33e8f2f0a7e4d31933132751f142ebbdb68aab7a74ad2dda6593bf34cef9d8d56d6c93ff93293b75517a10a5c1c048733b8c911f4ac150bdf6 SHA512 332088670d14fa9ff346e6858ca0acca304666596fec86eea89253bd496d3c90deae2be5091be199f48e09d46cec817c6419d5161fb4ee37871503f472765d00
DIST apache-maven-3.9.6-bin.tar.gz 9410508 BLAKE2B 2a99f002912e6c0fcf9f78f0553553898cf39c17bd7c8b58269c8a7d061c425c62a2f557a686fd2b1f114ef1f47aab6e9b318555235bb436e8c7e5c8b1a0dd9d SHA512 706f01b20dec0305a822ab614d51f32b07ee11d0218175e55450242e49d2156386483b506b3a4e8a03ac8611bae96395fd5eec15f50d3013d5deed6d1ee18224
DIST apache-maven-3.9.7-bin.tar.gz 9581488 BLAKE2B 2cdf5c06cf59913314bc50813f37061d6db3413991511588889863ddbedb590fc601247c9e25a31eca2d4d12a1e7fa4b3ca39575cd096c11c220346014ffa65b SHA512 f64913f89756264f2686e241f3f4486eca5d0dfdbb97077b0efc389cad376053824d58caa35c39648453ca58639f85335f9be9c8f217bfdb0c2d5ff2a9428fac
+DIST apache-maven-3.9.8-bin.tar.gz 9083702 BLAKE2B c636ea861d1c96938490453600cac513caf54843ffc26f45e22a655e737af93689d492e3b3055b184a33a1975aaa50a681a29412ebfd036dfd8e2c61043f6291 SHA512 7d171def9b85846bf757a2cec94b7529371068a0670df14682447224e57983528e97a6d1b850327e4ca02b139abaab7fcb93c4315119e6f0ffb3f0cbc0d0b9a2
diff --git a/dev-java/maven-bin/maven-bin-3.9.8.ebuild b/dev-java/maven-bin/maven-bin-3.9.8.ebuild
new file mode 100644
index 000000000000..d30a1ed61465
--- /dev/null
+++ b/dev-java/maven-bin/maven-bin-3.9.8.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit java-pkg-2
+
+MY_PN=apache-${PN%%-bin}
+MY_PV=${PV/_alpha/-alpha-}
+MY_P="${MY_PN}-${MY_PV}"
+MY_MV="${PV%%.*}"
+
+DESCRIPTION="Project Management and Comprehension Tool for Java"
+HOMEPAGE="https://maven.apache.org/"
+SRC_URI="mirror://apache/maven/maven-${MY_MV}/${PV}/binaries/${MY_P}-bin.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="Apache-2.0"
+SLOT="3.9"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="
+ >=virtual/jdk-1.8:*
+ app-eselect/eselect-java"
+
+RDEPEND="
+ >=virtual/jre-1.8:*"
+
+MAVEN="${PN}-${SLOT}"
+MAVEN_SHARE="/usr/share/${MAVEN}"
+
+QA_FLAGS_IGNORED=(
+ "${MAVEN_SHARE}/lib/jansi-native/linux32/libjansi.so"
+ "${MAVEN_SHARE}/lib/jansi-native/linux64/libjansi.so"
+)
+
+# TODO:
+# We should use jars from packages, instead of what is bundled.
+src_install() {
+ dodir "${MAVEN_SHARE}"
+
+ cp -Rp bin boot conf lib "${ED}/${MAVEN_SHARE}" || die "failed to copy"
+
+ java-pkg_regjar "${ED}/${MAVEN_SHARE}"/boot/*.jar
+ java-pkg_regjar "${ED}/${MAVEN_SHARE}"/lib/*.jar
+
+ dodoc NOTICE README.txt
+
+ dodir /usr/bin
+ dosym "${MAVEN_SHARE}/bin/mvn" "${EPREFIX}/usr/bin/mvn-${SLOT}"
+
+ # See bug #342901.
+ echo "CONFIG_PROTECT=\"${MAVEN_SHARE}/conf\"" > "${T}/25${MAVEN}" || die
+ doenvd "${T}/25${MAVEN}"
+}
+
+pkg_postinst() {
+ eselect maven update mvn-${SLOT}
+}
+
+pkg_postrm() {
+ eselect maven update
+}